picard.sam

## Class MostDistantPrimaryAlignmentSelectionStrategy

- java.lang.Object
- - picard.sam.MostDistantPrimaryAlignmentSelectionStrategy

- All Implemented Interfaces:
    PrimaryAlignmentSelectionStrategy

      public class MostDistantPrimaryAlignmentSelectionStrategy
      extends Object
      implements PrimaryAlignmentSelectionStrategy

  For a paired-end aligner that aligns each end independently, select the pair of alignments that result in the largest insert size. If such a pair of alignments cannot be found, either because one end is not aligned, or because all alignment pairs are chimeric, then select the best MAPQ for each end independently. The primary alignments are then correlated so that their mate info points to each other, but all non-primary alignments are uncorrelated.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `MostDistantPrimaryAlignmentSelectionStrategy()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `pickPrimaryAlignment(picard.sam.HitsForInsert hitsForInsert)` When this method returns, one alignment has been marked as primary according to the implementation's strategy.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### MostDistantPrimaryAlignmentSelectionStrategy

          public MostDistantPrimaryAlignmentSelectionStrategy()

  - ### Method Detail

    - #### pickPrimaryAlignment

          public void pickPrimaryAlignment(picard.sam.HitsForInsert hitsForInsert)

      Description copied from interface: `PrimaryAlignmentSelectionStrategy`
      When this method returns, one alignment has been marked as primary according to the implementation's strategy.
      Specified by:
        `pickPrimaryAlignment` in interface `PrimaryAlignmentSelectionStrategy`